import { ConfigSetName, ConfigSetType } from "@takomo/config-sets";
import { DeploymentGroupConfig } from "@takomo/deployment-targets-config";
import { DeploymentTargetsContext } from "@takomo/deployment-targets-context";
import { DeploymentGroupPath, DeploymentTargetNamePattern, Label } from "@takomo/deployment-targets-model";
import { CommandPath } from "@takomo/stacks-model";
export interface SelectDeploymentGroupsProps {
    readonly groups: ReadonlyArray<DeploymentGroupPath>;
    readonly targets: ReadonlyArray<DeploymentTargetNamePattern>;
    readonly excludeTargets: ReadonlyArray<DeploymentTargetNamePattern>;
    readonly labels: ReadonlyArray<Label>;
    readonly excludeLabels: ReadonlyArray<Label>;
    readonly configSetType?: ConfigSetType;
    readonly configSetName?: ConfigSetName;
    readonly commandPath?: CommandPath;
}
export declare const selectDeploymentGroups: (ctx: DeploymentTargetsContext, props: SelectDeploymentGroupsProps) => ReadonlyArray<DeploymentGroupConfig>;
