"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeploymentTargetVariables = void 0;
const util_1 = require("@takomo/util");
const createDeploymentTargetVariables = ({ ctx, target, }) => {
    return (0, util_1.deepCopy)({
        env: ctx.variables.env,
        var: target.vars,
        context: ctx.variables.context,
        target: {
            name: target.id,
            accountId: target.data.accountId,
            deploymentGroup: {
                name: target.data.deploymentGroup.name,
                path: target.data.deploymentGroup.path,
            },
        },
    });
};
exports.createDeploymentTargetVariables = createDeploymentTargetVariables;
//# sourceMappingURL=create-deployment-target-variables.js.map